"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objFromString = void 0;
const lodash_1 = require("lodash");
const zod_1 = require("zod");
const objFromString = (schema) => {
    return zod_1.z.preprocess((value) => {
        if ((0, lodash_1.isEmpty)(value))
            return undefined;
        if ((0, lodash_1.isArray)(value) && value.every((item) => typeof item === 'string'))
            return value.map((item) => JSON.parse(item));
        if (typeof value === 'string')
            return JSON.parse(value);
        return value;
    }, schema);
};
exports.objFromString = objFromString;
