"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stringDateOnly = void 0;
const zod_openapi_1 = require("@anatine/zod-openapi");
const dayjs_1 = require("@maiora/dayjs");
const zod_1 = require("zod");
const stringDateOnly = (format = 'YYYY-MM-DD') => (0, zod_openapi_1.extendApi)(zod_1.z.string().refine((val) => {
    if (!val)
        return true;
    return (0, dayjs_1.dayjs)(val, format).isValid();
}, { message: `String is not in valid '${format}' format` }), { format: 'date' });
exports.stringDateOnly = stringDateOnly;
